package com.sifang.modules.customer.form;


import com.sifang.modules.customer.entity.CrmAcceptingReportDetail;
import org.hibernate.validator.constraints.NotBlank;

import java.math.BigDecimal;
import java.util.List;


public class AddReportZcReq {

  @NotBlank(message = "entryId不能为空")
  private String entryId;
  //项目备案代码
  private String filingDocumentCode;
  //合同
  private String contractUrl;
  //备案文件/证
  private String filingDocumentPhoto;
  //银行印鉴留样
  private String otherImgs1;
  //签约现场照片
  private String otherImgs2;
  //签约现场照片-正脸
  private String otherImgs3;
  //签署完成照片
  private String otherImgs4;
  private String dzjc1;
  private String dzjc2;
  private String zjImg1;//支架正面照片
  private String zjImg2;//支架侧视图
  private String zjImg3;//支架北侧图
  private String zjImg4;//支架型号照片
  private String zjImg5;//航拍图照片
  private String componentImg1;//组件倾角照片
  private String componentImg2;//组件方位角照片
  private String sizeMeasureImgs;//屋顶线缆安装照片
  private String fixOtherImg;//线缆下墙照片
  private String totalImgs;//逆变器组串接入照片
  private String bwInnerImg;//并网箱内部照片
  private String dcImgs;//逆变器安装照片
  private String nbqZbImg;//并网箱逆变器整体照片
  private String dqsbAnImgOne;//逆变器注册截图照片
  private String nbqPlateImg;//逆变器铭牌照片
  private String zjPlateImg;//组件铭牌照片
  private String openWayVoltageImgs;//开路电压图
  private String jdImg1;//组件与组件之间接地照片
  private String jdImg2;//组件与支架接地照片
  private String jdImg3;//支架与接地扁铁连接照片
  private String jdImg4;//接地扁铁下墙照片
  private String jdImg5;//支架接地电阻照片
  private String jdImg6;//电气接地电阻照片
  private String zjReport;//自检记录报告

  //2024-03-20 新增加其他文件字段
  private String otherFiles;  //其他文件

  private String mobile;
  private String tenantName;
  private String address;

  //广发新增字段---------------------


  // 施工安全图-安全警示牌
  private String safetyWarningImg;

  // 施工安全图-安全技术交底书
  private String safetyDiscloseDocImg;

  // 组件航拍俯视照片
  private String componentImg3;

  // 施工安全图-三级安全教育
  private String safetyWarningImg2;

  // 施工安全图-开工前站班会（施工安全用品：安全帽、安全绳、反光衣、工作鞋）
  private String safetyWarningImg3;

  // 逆变器安装图-逆变器交流侧
  private String nbqZlcImg;

  // 并网箱安装图-接地情况
  private String bwJdImg;

  // 支架安装图-支架方阵（东向西完工照）
  private String zjImg8;

  // 支架安装图-支架方阵（北向南完工照）
  private String zjImg9;

  // 基础安装-螺栓孔洞防水图(不少于3张)
  private String zjImg10;

  // 基础安装-柱脚防水完工图
  private String zjImg11;

  // 支架安装图-斜梁悬挑（南）
  private String zjImg12;

  // 支架安装图-斜梁悬挑（北）
  private String zjImg13;

  // 支架安装图-檀条悬挑（东）
  private String zjImg14;

  // 支架安装图-檀条悬挑（西）
  private String zjImg15;

  // 边框接地图-边框与边框接地
  private String bkImg1;

  // 边框接地图-边框与支架接地
  private String bkImg2;

  // 边框接地图-其他图片
  private String bkImg3;

  // 压块或背压板照片
  private String ykImg1;

  // 接地极图-并网箱、逆变器安装接地极
  private String jdImg8;

  // 接地极图-并网箱、逆变器安装接地电阻阻值（近景）
  private String jdImg9;

  // 接地极图-接地引下线警示做法
  private String jdImg10;

  // 接地极图-支架接地电阻测量照片（远景）
  private String jdImg11;

  // 接地极图-并网箱、逆变器安装接地电阻测量照片（远景）
  private String jdImg12;

  // 防水措施图-横竖向水槽
  private String fsImg1;

  // 防水措施图-落水管走向及其固定
  private String fsImg2;

  // 防水措施图-其他图片
  private String fsImg3;

  // 组件安装完成VR视图
  private String componentImg4;

  //华融新增字段-------------------------

  // 水槽细节照片
  private String otherImgs5;
  // 落水管照片
  private String otherImgs6;
  // 假梁-斜梁方向
  private String otherImgs7;
  // 并网箱逆变器防雨罩照片
  private String otherImgs8;

  // 安全防护措施合照照片 (可上传1-9个附件，格式：pdf、png、jpg，要包含：安装保险文件、开工准备照片、现场安全照片)
  private String kgConditionFiles;


  private List<CrmAcceptingReportDetail> completeList;

  public String getContractUrl() {
    return contractUrl;
  }

  public void setContractUrl(String contractUrl) {
    this.contractUrl = contractUrl;
  }

  //补充视频
  private String supplementVideoUrl;

  //完工备注
  private String completeRemark;

  //导水排泥夹照片
  private String waterMudClampImgs;

  public String getWaterMudClampImgs() {
    return waterMudClampImgs;
  }

  public void setWaterMudClampImgs(String waterMudClampImgs) {
    this.waterMudClampImgs = waterMudClampImgs;
  }

  public String getSupplementVideoUrl() {
    return supplementVideoUrl;
  }

  public void setSupplementVideoUrl(String supplementVideoUrl) {
    this.supplementVideoUrl = supplementVideoUrl;
  }

  public String getCompleteRemark() {
    return completeRemark;
  }

  public void setCompleteRemark(String completeRemark) {
    this.completeRemark = completeRemark;
  }

  public String getKgConditionFiles() {
    return kgConditionFiles;
  }

  public void setKgConditionFiles(String kgConditionFiles) {
    this.kgConditionFiles = kgConditionFiles;
  }

  public String getOtherImgs5() {
    return otherImgs5;
  }

  public void setOtherImgs5(String otherImgs5) {
    this.otherImgs5 = otherImgs5;
  }

  public String getOtherImgs6() {
    return otherImgs6;
  }

  public void setOtherImgs6(String otherImgs6) {
    this.otherImgs6 = otherImgs6;
  }

  public String getOtherImgs7() {
    return otherImgs7;
  }

  public void setOtherImgs7(String otherImgs7) {
    this.otherImgs7 = otherImgs7;
  }

  public String getOtherImgs8() {
    return otherImgs8;
  }

  public void setOtherImgs8(String otherImgs8) {
    this.otherImgs8 = otherImgs8;
  }

  public String getSafetyWarningImg() {
    return safetyWarningImg;
  }

  public void setSafetyWarningImg(String safetyWarningImg) {
    this.safetyWarningImg = safetyWarningImg;
  }

  public String getSafetyDiscloseDocImg() {
    return safetyDiscloseDocImg;
  }

  public void setSafetyDiscloseDocImg(String safetyDiscloseDocImg) {
    this.safetyDiscloseDocImg = safetyDiscloseDocImg;
  }

  public String getComponentImg3() {
    return componentImg3;
  }

  public void setComponentImg3(String componentImg3) {
    this.componentImg3 = componentImg3;
  }

  public String getComponentImg4() {
    return componentImg4;
  }

  public void setComponentImg4(String componentImg4) {
    this.componentImg4 = componentImg4;
  }

  public String getSafetyWarningImg2() {
    return safetyWarningImg2;
  }

  public void setSafetyWarningImg2(String safetyWarningImg2) {
    this.safetyWarningImg2 = safetyWarningImg2;
  }

  public String getSafetyWarningImg3() {
    return safetyWarningImg3;
  }

  public void setSafetyWarningImg3(String safetyWarningImg3) {
    this.safetyWarningImg3 = safetyWarningImg3;
  }

  public String getNbqZlcImg() {
    return nbqZlcImg;
  }

  public void setNbqZlcImg(String nbqZlcImg) {
    this.nbqZlcImg = nbqZlcImg;
  }

  public String getBwJdImg() {
    return bwJdImg;
  }

  public void setBwJdImg(String bwJdImg) {
    this.bwJdImg = bwJdImg;
  }

  public String getZjImg8() {
    return zjImg8;
  }

  public void setZjImg8(String zjImg8) {
    this.zjImg8 = zjImg8;
  }

  public String getZjImg9() {
    return zjImg9;
  }

  public void setZjImg9(String zjImg9) {
    this.zjImg9 = zjImg9;
  }

  public String getZjImg10() {
    return zjImg10;
  }

  public void setZjImg10(String zjImg10) {
    this.zjImg10 = zjImg10;
  }

  public String getZjImg11() {
    return zjImg11;
  }

  public void setZjImg11(String zjImg11) {
    this.zjImg11 = zjImg11;
  }

  public String getZjImg12() {
    return zjImg12;
  }

  public void setZjImg12(String zjImg12) {
    this.zjImg12 = zjImg12;
  }

  public String getZjImg13() {
    return zjImg13;
  }

  public void setZjImg13(String zjImg13) {
    this.zjImg13 = zjImg13;
  }

  public String getZjImg14() {
    return zjImg14;
  }

  public void setZjImg14(String zjImg14) {
    this.zjImg14 = zjImg14;
  }

  public String getZjImg15() {
    return zjImg15;
  }

  public void setZjImg15(String zjImg15) {
    this.zjImg15 = zjImg15;
  }

  public String getBkImg1() {
    return bkImg1;
  }

  public void setBkImg1(String bkImg1) {
    this.bkImg1 = bkImg1;
  }

  public String getBkImg2() {
    return bkImg2;
  }

  public void setBkImg2(String bkImg2) {
    this.bkImg2 = bkImg2;
  }

  public String getBkImg3() {
    return bkImg3;
  }

  public void setBkImg3(String bkImg3) {
    this.bkImg3 = bkImg3;
  }

  public String getYkImg1() {
    return ykImg1;
  }

  public void setYkImg1(String ykImg1) {
    this.ykImg1 = ykImg1;
  }

  public String getJdImg8() {
    return jdImg8;
  }

  public void setJdImg8(String jdImg8) {
    this.jdImg8 = jdImg8;
  }

  public String getJdImg9() {
    return jdImg9;
  }

  public void setJdImg9(String jdImg9) {
    this.jdImg9 = jdImg9;
  }

  public String getJdImg10() {
    return jdImg10;
  }

  public void setJdImg10(String jdImg10) {
    this.jdImg10 = jdImg10;
  }

  public String getJdImg11() {
    return jdImg11;
  }

  public void setJdImg11(String jdImg11) {
    this.jdImg11 = jdImg11;
  }

  public String getJdImg12() {
    return jdImg12;
  }

  public void setJdImg12(String jdImg12) {
    this.jdImg12 = jdImg12;
  }

  public String getFsImg1() {
    return fsImg1;
  }

  public void setFsImg1(String fsImg1) {
    this.fsImg1 = fsImg1;
  }

  public String getFsImg2() {
    return fsImg2;
  }

  public void setFsImg2(String fsImg2) {
    this.fsImg2 = fsImg2;
  }

  public String getFsImg3() {
    return fsImg3;
  }

  public void setFsImg3(String fsImg3) {
    this.fsImg3 = fsImg3;
  }

  public String getOtherFiles() {
    return otherFiles;
  }

  public void setOtherFiles(String otherFiles) {
    this.otherFiles = otherFiles;
  }

  public String getEntryId() {
    return entryId;
  }

  public void setEntryId(String entryId) {
    this.entryId = entryId;
  }

  public String getFilingDocumentCode() {
    return filingDocumentCode;
  }

  public void setFilingDocumentCode(String filingDocumentCode) {
    this.filingDocumentCode = filingDocumentCode;
  }

  public String getFilingDocumentPhoto() {
    return filingDocumentPhoto;
  }

  public void setFilingDocumentPhoto(String filingDocumentPhoto) {
    this.filingDocumentPhoto = filingDocumentPhoto;
  }

  public String getOtherImgs1() {
    return otherImgs1;
  }

  public void setOtherImgs1(String otherImgs1) {
    this.otherImgs1 = otherImgs1;
  }

  public String getOtherImgs2() {
    return otherImgs2;
  }

  public void setOtherImgs2(String otherImgs2) {
    this.otherImgs2 = otherImgs2;
  }

  public String getOtherImgs3() {
    return otherImgs3;
  }

  public void setOtherImgs3(String otherImgs3) {
    this.otherImgs3 = otherImgs3;
  }

  public String getOtherImgs4() {
    return otherImgs4;
  }

  public void setOtherImgs4(String otherImgs4) {
    this.otherImgs4 = otherImgs4;
  }

  public String getDzjc1() {
    return dzjc1;
  }

  public void setDzjc1(String dzjc1) {
    this.dzjc1 = dzjc1;
  }

  public String getDzjc2() {
    return dzjc2;
  }

  public void setDzjc2(String dzjc2) {
    this.dzjc2 = dzjc2;
  }

  public String getZjImg1() {
    return zjImg1;
  }

  public void setZjImg1(String zjImg1) {
    this.zjImg1 = zjImg1;
  }

  public String getZjImg2() {
    return zjImg2;
  }

  public void setZjImg2(String zjImg2) {
    this.zjImg2 = zjImg2;
  }

  public String getZjImg3() {
    return zjImg3;
  }

  public void setZjImg3(String zjImg3) {
    this.zjImg3 = zjImg3;
  }

  public String getZjImg4() {
    return zjImg4;
  }

  public void setZjImg4(String zjImg4) {
    this.zjImg4 = zjImg4;
  }

  public String getZjImg5() {
    return zjImg5;
  }

  public void setZjImg5(String zjImg5) {
    this.zjImg5 = zjImg5;
  }

  public String getComponentImg1() {
    return componentImg1;
  }

  public void setComponentImg1(String componentImg1) {
    this.componentImg1 = componentImg1;
  }

  public String getComponentImg2() {
    return componentImg2;
  }

  public void setComponentImg2(String componentImg2) {
    this.componentImg2 = componentImg2;
  }

  public String getSizeMeasureImgs() {
    return sizeMeasureImgs;
  }

  public void setSizeMeasureImgs(String sizeMeasureImgs) {
    this.sizeMeasureImgs = sizeMeasureImgs;
  }

  public String getFixOtherImg() {
    return fixOtherImg;
  }

  public void setFixOtherImg(String fixOtherImg) {
    this.fixOtherImg = fixOtherImg;
  }

  public String getTotalImgs() {
    return totalImgs;
  }

  public void setTotalImgs(String totalImgs) {
    this.totalImgs = totalImgs;
  }

  public String getBwInnerImg() {
    return bwInnerImg;
  }

  public void setBwInnerImg(String bwInnerImg) {
    this.bwInnerImg = bwInnerImg;
  }

  public String getDcImgs() {
    return dcImgs;
  }

  public void setDcImgs(String dcImgs) {
    this.dcImgs = dcImgs;
  }

  public String getNbqZbImg() {
    return nbqZbImg;
  }

  public void setNbqZbImg(String nbqZbImg) {
    this.nbqZbImg = nbqZbImg;
  }

  public String getDqsbAnImgOne() {
    return dqsbAnImgOne;
  }

  public void setDqsbAnImgOne(String dqsbAnImgOne) {
    this.dqsbAnImgOne = dqsbAnImgOne;
  }

  public String getNbqPlateImg() {
    return nbqPlateImg;
  }

  public void setNbqPlateImg(String nbqPlateImg) {
    this.nbqPlateImg = nbqPlateImg;
  }

  public String getZjPlateImg() {
    return zjPlateImg;
  }

  public void setZjPlateImg(String zjPlateImg) {
    this.zjPlateImg = zjPlateImg;
  }

  public String getOpenWayVoltageImgs() {
    return openWayVoltageImgs;
  }

  public void setOpenWayVoltageImgs(String openWayVoltageImgs) {
    this.openWayVoltageImgs = openWayVoltageImgs;
  }

  public String getJdImg1() {
    return jdImg1;
  }

  public void setJdImg1(String jdImg1) {
    this.jdImg1 = jdImg1;
  }

  public String getJdImg2() {
    return jdImg2;
  }

  public void setJdImg2(String jdImg2) {
    this.jdImg2 = jdImg2;
  }

  public String getJdImg3() {
    return jdImg3;
  }

  public void setJdImg3(String jdImg3) {
    this.jdImg3 = jdImg3;
  }

  public String getJdImg4() {
    return jdImg4;
  }

  public void setJdImg4(String jdImg4) {
    this.jdImg4 = jdImg4;
  }

  public String getJdImg5() {
    return jdImg5;
  }

  public void setJdImg5(String jdImg5) {
    this.jdImg5 = jdImg5;
  }

  public String getJdImg6() {
    return jdImg6;
  }

  public void setJdImg6(String jdImg6) {
    this.jdImg6 = jdImg6;
  }

  public String getZjReport() {
    return zjReport;
  }

  public void setZjReport(String zjReport) {
    this.zjReport = zjReport;
  }

  public String getMobile() {
    return mobile;
  }

  public void setMobile(String mobile) {
    this.mobile = mobile;
  }

  public String getTenantName() {
    return tenantName;
  }

  public void setTenantName(String tenantName) {
    this.tenantName = tenantName;
  }

  public String getAddress() {
    return address;
  }

  public void setAddress(String address) {
    this.address = address;
  }

  public List<CrmAcceptingReportDetail> getCompleteList() {
    return completeList;
  }

  public void setCompleteList(List<CrmAcceptingReportDetail> completeList) {
    this.completeList = completeList;
  }
}
